export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/welcome',
          },
          {
            path: '/welcome',
            name: '首页',
            component: './Welcome',
          },
          {
            path: '/channel',
            name: '渠道列表',
            component: './channel',
          },
          {
            path: '/channel/edit',
            name: '渠道列表',
            component: './channel/edit',
          },
          {
            path: '/resource',
            name: '资源管理',
            component: './resource',
          },
          // {
          //   path: '/channel/edit',
          //   name: '渠道列表',
          //   component: './channel/edit',
          // },
          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
